﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CandleStick_DataTimeContinuousAxis
{
    public class ViewModel
    {
        public ObservableCollection<CandlePlotInfo> CandlCollection { get; set; }
        private Random rnd = new Random();
        private DateTime currentDate = DateTime.Now;

        public ViewModel()
        {
            CandlCollection = new ObservableCollection<CandlePlotInfo>();
            GetData();
        }

        private void GetData()
        {
            for (int i = 0; i < 500; i++)
            {
                if (i < 250)
                {
                    CandlCollection.Add(new CandlePlotInfo() 
                    { 
                        High = rnd.Next(55, 81), 
                        Low = rnd.Next(15, 50), 
                        Open = rnd.Next(25, 50), 
                        Close = rnd.Next(55, 60), 
                        Date = currentDate.AddMinutes(i)
                    });
                }
                else
                {
                    CandlCollection.Add(new CandlePlotInfo() 
                    { 
                        High = rnd.Next(55, 81), 
                        Low = rnd.Next(15, 50), 
                        Open = rnd.Next(25, 50), 
                        Close = rnd.Next(55, 60),
                        Date = currentDate.AddMinutes(i + 10)
                    });

                }
            }
        }
    }
}
